function onTalk()
    walkTo (-3116, false, 1.0, false)
    player.Facing = getEnum("Celeste.Facings", "Left")
    disableMovement()
    if  getFlag("canvas_0_Lobbies_theohasbeentalk") == false then
        say("canvas_0_Lobbies_theotalk")
        setFlag("canvas_0_Lobbies_theohasbeentalk", true)
    elseif getFlag("canvas_0_Lobbies_theohasbeentalk") then 
        say("canvas_0_Lobbies_theohasbeentalk1")
    else
    end
    a=0
    repeat
        local CANVASFISHINGTALK = choice("CANVAS_0_LOBBIES_FISHING1","CANVAS_0_LOBBIES_FISHING2","CANVAS_0_LOBBIES_FISHING3","CANVAS_0_LOBBIES_FISHING4")
        if  CANVASFISHINGTALK == 1 then
            say("canvas_0_Lobbies_fishing1talk")
        elseif CANVASFISHINGTALK == 2 then 
            say("canvas_0_Lobbies_fishing2talk")
        elseif CANVASFISHINGTALK == 3 then 
            say("canvas_0_Lobbies_fishing3talk")
        elseif CANVASFISHINGTALK == 4 then 
            say("canvas_0_Lobbies_fishing4talk")
            a = 1
        else
        end
    until( a > 0 )
    enableMovement()
end